Bug 68524 - Draggin windows to another workspace is fickle
Draggin windows to another workspace is fickle
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-panel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-10 17:52 EDT by Michal Jaegermann
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-07 18:31:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot with a messed up panel (59.05 KB, image/png)
2002-07-10 17:53 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2002-07-10 17:52:51 EDT
Description of Problem:

Attempts to drag a window in "Workspace Switcher" display to another workspace
sometimes succeed and sometimes not.  It is always ok to drag a window to
an "active" workspace and you have a pretty good chance of success if this
is done to a some "remote" workspace.  If you will do that to one of
"neighbours" of an active workspace then you are playing a game of chance
with a pretty good probability that a dragged window will "jump" back 
to its original position but it will likely get "lost" and has to be
"re-dragged" again to an active workspace before showing up.  If this happen
then the window will be also lost on a window list on a panel.

This "jump-and-loose" may be easier to observer with sawfish.  Windows are
not lost on a "Windows" sawfish menu (middle mouse button).  Opening
a window in another workspace and later switching back to a messed up one
seems to restore sanity on a panel.

Attached is a screenshot with three terminal windows and only one entry
on a windows list.
Comment 1 Michal Jaegermann 2002-07-10 17:53:36 EDT
Created attachment 64664 [details]
A screenshot with a messed up panel
Comment 2 Havoc Pennington 2002-07-10 18:13:51 EDT
Is the workspace bug related to the window-list-losing-stuff bug?
Or are there two bugs here?

Related-looking:

 http://bugzilla.gnome.org/show_bug.cgi?id=86608
 http://bugzilla.gnome.org/show_bug.cgi?id=83542
 http://bugzilla.gnome.org/show_bug.cgi?id=74321

There was one other on gnome.org that I can't find right now.
Comment 3 Michal Jaegermann 2002-07-10 19:00:50 EDT
"Lost from a list" part indeed looks remarkably similar to what you quoted
so these may be indeed two bugs.  OTOH so far I observed this vanishing
only when a window jumped back on its own after beeing dragged.  Note that
this re-dragging in an active workspace may be needed before a window will
show up again so both things may actually be related.
Comment 4 Jonathan Blandford 2002-08-27 21:48:20 EDT
I can't duplicate this at all.  Is this sawfish only, or can you reproduce it
with metacity?
Comment 5 Michal Jaegermann 2002-08-28 00:25:16 EDT
I do not know.  I did not see that recently, so maybe (null) does not
have this problem, but I will try to see if I can actively reproduce that.
Comment 6 Havoc Pennington 2003-01-07 18:31:12 EST
Based on upstream bug status and lack of recent reports let's assume this one
fixed, unless we get more reports from people using rawhide.

Note You need to log in before you can comment on or make changes to this bug.